

# ListAlarms
<a name="API_iotevents-data_ListAlarms"></a>

**Important**  
End of support notice: On May 20,2026, Amazon will end support for Amazon IoT Events. After May 20,2026, you will no longer be able to access the Amazon IoT Events console or Amazon IoT Events resources. For more information, see [Amazon IoT Events end of support](https://docs.amazonaws.cn/iotevents/latest/developerguide/iotevents-end-of-support.html). 

Lists one or more alarms. The operation returns only the metadata associated with each alarm.

## Request Syntax
<a name="API_iotevents-data_ListAlarms_RequestSyntax"></a>

```
GET /alarms/alarmModelName?maxResults=maxResults&nextToken=nextToken HTTP/1.1
```

## URI Request Parameters
<a name="API_iotevents-data_ListAlarms_RequestParameters"></a>

The request uses the following URI parameters.

 ** [alarmModelName](#API_iotevents-data_ListAlarms_RequestSyntax) **   <a name="iotevents-iotevents-data_ListAlarms-request-uri-alarmModelName"></a>
The name of the alarm model.  
Length Constraints: Minimum length of 1. Maximum length of 128.  
Pattern: `^[a-zA-Z0-9_-]+$`   
Required: Yes

 ** [maxResults](#API_iotevents-data_ListAlarms_RequestSyntax) **   <a name="iotevents-iotevents-data_ListAlarms-request-uri-maxResults"></a>
The maximum number of results to be returned per request.  
Valid Range: Minimum value of 1. Maximum value of 250.

 ** [nextToken](#API_iotevents-data_ListAlarms_RequestSyntax) **   <a name="iotevents-iotevents-data_ListAlarms-request-uri-nextToken"></a>
The token that you can use to return the next set of results.

## Request Body
<a name="API_iotevents-data_ListAlarms_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_iotevents-data_ListAlarms_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "alarmSummaries": [ 
      { 
         "alarmModelName": "string",
         "alarmModelVersion": "string",
         "creationTime": number,
         "keyValue": "string",
         "lastUpdateTime": number,
         "stateName": "string"
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_iotevents-data_ListAlarms_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [alarmSummaries](#API_iotevents-data_ListAlarms_ResponseSyntax) **   <a name="iotevents-iotevents-data_ListAlarms-response-alarmSummaries"></a>
A list that summarizes each alarm.  
Type: Array of [AlarmSummary](API_iotevents-data_AlarmSummary.md) objects

 ** [nextToken](#API_iotevents-data_ListAlarms_ResponseSyntax) **   <a name="iotevents-iotevents-data_ListAlarms-response-nextToken"></a>
The token that you can use to return the next set of results, or `null` if there are no more results.  
Type: String

## Errors
<a name="API_iotevents-data_ListAlarms_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** InternalFailureException **   
An internal failure occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** InvalidRequestException **   
The request was invalid.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

 ** ResourceNotFoundException **   
The resource was not found.    
 ** message **   
The message for the exception.
HTTP Status Code: 404

 ** ServiceUnavailableException **   
The service is currently unavailable.    
 ** message **   
The message for the exception.
HTTP Status Code: 503

 ** ThrottlingException **   
The request could not be completed due to throttling.    
 ** message **   
The message for the exception.
HTTP Status Code: 429

## See Also
<a name="API_iotevents-data_ListAlarms_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iotevents-data-2018-10-23/ListAlarms) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iotevents-data-2018-10-23/ListAlarms) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/iotevents-data-2018-10-23/ListAlarms) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iotevents-data-2018-10-23/ListAlarms) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iotevents-data-2018-10-23/ListAlarms) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iotevents-data-2018-10-23/ListAlarms) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iotevents-data-2018-10-23/ListAlarms) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iotevents-data-2018-10-23/ListAlarms) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iotevents-data-2018-10-23/ListAlarms) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iotevents-data-2018-10-23/ListAlarms) 